@use '../../../global/styles/breakpoint';

:host {
	--digi--layout-stacked-blocks--columns: 1;

	&[af-variation='enhanced'] {
		::slotted(:first-child) {
			grid-column: 1/-1;
		}
	}

	@include breakpoint.medium {
		--digi--layout-stacked-blocks--columns: 2;
	}

	@include breakpoint.large {
		&:not([af-variation='enhanced']) {
			--digi--layout-stacked-blocks--columns: 3;
		}
	}

	.digi-layout-stacked-blocks {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(calc((100% - var(--digi--responsive-grid-gutter) * (var(--digi--layout-stacked-blocks--columns) - 1)) / var(--digi--layout-stacked-blocks--columns)), 1fr));
		gap: var(--digi--responsive-grid-gutter);
	}
}
